
Redmine - Defect #11687

An error occurred on the page you were trying to access.

2012-08-23 11:41 - Sasha Harutyunyan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.0.1

Description

Hello,

I have some errors in Redmine which is need to be fixed.

I will glad if someone help me with this.

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

Back

error    

ActionView::TemplateError (undefined method `name' for nil:NilClass) on line #22 of app/views/issues/_attributes.rhtml:

19:                      :tabindex => 199) if authorize_for('issue_categories', 'new') ></p>

20: < end >

21: < unless @issue.assignable_versions.empty? >

22: <p><= f.select :fixed_version_id, version_options_for_select(@issue.assignable_versions, @issue.fixed_version), :include_blank

=> true >

23: <= prompt_to_remote(image_tag('add.png', :style => 'vertical-align: middle;'),

24:                      l(:label_version_new),

25:                      version[name]  

app/helpers/projects_helper.rb:90:in `version_options_for_select' 

    app/helpers/projects_helper.rb:89:in `each' 

    app/helpers/projects_helper.rb:89:in `version_options_for_select' 

    app/views/issues/_attributes.rhtml:22:in `_run_rhtml_app47views47issues47_attributes46rhtml_lo

cals_attributes_object' 

    /usr/lib/ruby/1.8/action_view/helpers/form_helper.rb:499:in `fields_for' 

    app/views/issues/_attributes.rhtml:1:in `_run_rhtml_app47views47issues47_attributes46rhtml_loc

als_attributes_object' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `send' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `render' 

    /usr/lib/ruby/1.8/action_view/base.rb:306:in `with_template' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:30:in `render' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:20:in `render' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:30:in `benchmark' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:19:in `render' 

    /usr/lib/ruby/1.8/action_view/template.rb:205:in `render_template' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:44:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/partials.rb:184:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/base.rb:267:in `render' 

    app/views/issues/_form.rhtml:23:in `_run_rhtml_app47views47issues47_form46rhtml_locals_f_form_

object' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `send' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `render' 

    /usr/lib/ruby/1.8/action_view/base.rb:306:in `with_template' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:30:in `render' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:20:in `render' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:30:in `benchmark' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:19:in `render' 

    /usr/lib/ruby/1.8/action_view/template.rb:205:in `render_template' 
    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:44:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/partials.rb:184:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/base.rb:267:in `render' 

    app/views/issues/_edit.rhtml:15:in `_run_rhtml_app47views47issues47_edit46rhtml_locals_edit_ob

ject' 

    /usr/lib/ruby/1.8/action_view/helpers/form_helper.rb:499:in `fields_for' 

    /usr/lib/ruby/1.8/action_view/helpers/form_helper.rb:282:in `form_for' 

    app/helpers/application_helper.rb:697:in `labelled_tabular_form_for' 

    app/views/issues/_edit.rhtml:1:in `_run_rhtml_app47views47issues47_edit46rhtml_locals_edit_obj

ect' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `send' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `render' 

    /usr/lib/ruby/1.8/action_view/base.rb:306:in `with_template' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:30:in `render' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:20:in `render' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:30:in `benchmark' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:19:in `render' 

    /usr/lib/ruby/1.8/action_view/template.rb:205:in `render_template' 

    /usr/lib/ruby/1.8/action_view/renderable_partial.rb:44:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/partials.rb:184:in `render_partial' 

    /usr/lib/ruby/1.8/action_view/base.rb:267:in `render' 

    app/views/issues/show.rhtml:104:in `_run_rhtml_app47views47issues47show46rhtml' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `send' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:34:in `render' 

    /usr/lib/ruby/1.8/action_view/base.rb:306:in `with_template' 

    /usr/lib/ruby/1.8/action_view/renderable.rb:30:in `render' 

    /usr/lib/ruby/1.8/action_view/template.rb:205:in `render_template' 

    /usr/lib/ruby/1.8/action_view/base.rb:265:in `render' 

    /usr/lib/ruby/1.8/action_view/base.rb:348:in `_render_with_layout' 

    /usr/lib/ruby/1.8/action_view/base.rb:262:in `render' 

    /usr/lib/ruby/1.8/action_controller/base.rb:1250:in `render_for_file' 

    /usr/lib/ruby/1.8/action_controller/base.rb:945:in `render_without_benchmark' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:51:in `render' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:51:in `render' 

    app/controllers/issues_controller.rb:124:in `show' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:135:in `call' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:135:in `custom' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:179:in `call' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:179:in `respond' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:173:in `each' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:173:in `respond' 

    /usr/lib/ruby/1.8/action_controller/mime_responds.rb:107:in `respond_to' 

    app/controllers/issues_controller.rb:123:in `show' 

    /usr/lib/ruby/1.8/action_controller/base.rb:1331:in `send' 

    /usr/lib/ruby/1.8/action_controller/base.rb:1331:in `perform_action_without_filters' 

    /usr/lib/ruby/1.8/action_controller/filters.rb:617:in `call_filters' 

    /usr/lib/ruby/1.8/action_controller/filters.rb:610:in `perform_action_without_benchmark' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue' 

    /usr/lib/ruby/1.8/action_controller/benchmarking.rb:68:in `perform_action_without_rescue' 

    /usr/lib/ruby/1.8/action_controller/rescue.rb:160:in `perform_action_without_flash' 

    /usr/lib/ruby/1.8/action_controller/flash.rb:146:in `perform_action' 

    /usr/lib/ruby/1.8/action_controller/base.rb:532:in `send' 

    /usr/lib/ruby/1.8/action_controller/base.rb:532:in `process_without_filters' 

    /usr/lib/ruby/1.8/action_controller/filters.rb:606:in `process' 

    /usr/lib/ruby/1.8/action_controller/base.rb:391:in `process' 

    /usr/lib/ruby/1.8/action_controller/base.rb:386:in `call' 

    /usr/lib/ruby/1.8/action_controller/routing/route_set.rb:437:in `call' 

    /usr/lib/ruby/1.8/action_controller/dispatcher.rb:87:in `dispatch' 

    /usr/lib/ruby/1.8/action_controller/dispatcher.rb:121:in `_call' 

    /usr/lib/ruby/1.8/action_controller/dispatcher.rb:130:in `build_middleware_stack' 

    /usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call' 

    /usr/lib/ruby/1.8/active_record/query_cache.rb:29:in `call' 

    /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache' 

    /usr/lib/ruby/1.8/active_record/query_cache.rb:9:in `cache' 

    /usr/lib/ruby/1.8/active_record/query_cache.rb:28:in `call' 

    /usr/lib/ruby/1.8/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call' 

    /usr/lib/ruby/1.8/action_controller/string_coercion.rb:25:in `call' 
    /usr/lib/ruby/1.8/rack/head.rb:9:in `call' 

    /usr/lib/ruby/1.8/rack/methodoverride.rb:24:in `call' 

    /usr/lib/ruby/1.8/action_controller/params_parser.rb:15:in `call' 

    /usr/lib/ruby/1.8/action_controller/session/cookie_store.rb:93:in `call' 

    /usr/lib/ruby/1.8/action_controller/failsafe.rb:26:in `call' 

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `call' 

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `synchronize' 

    /usr/lib/ruby/1.8/rack/lock.rb:11:in `call' 

    /usr/lib/ruby/1.8/action_controller/dispatcher.rb:106:in `call' 

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop' 

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler

' 

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_applicat

ion' 

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork' 

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_applicat

ion' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start' 

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start' 

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add' 

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize' 

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application' 

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application' 

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop' 

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously' 

    /usr/lib/phusion_passenger/passenger-spawn-server:61

 Environment Info

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.5

Active Record version     2.3.5

Action Pack version       2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          mysql

Database schema version   20100819172912

About your Redmine plugins

Redmine Local Avatars plugin   0.1.1

Redmine Graphs plugin          0.1.0

Redmine Easy Agile plugin      1.0.3

History

#1 - 2012-08-23 11:57 - Etienne Massip

Ouch, 1.0.1 is clearly not supported anymore, sorry.

Try to run with no plugin installed?

#2 - 2012-08-28 15:08 - Etienne Massip
- Status changed from New to Closed

- Resolution set to No feedback
